Create an order

creates an order with the specified parameters. On success the order id is returned.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
boolean

indicates whether this order should be persisted.

boolean

indicates whether an amendment should populate missing lines not provided here.

Body Params

JSON object containing information required to create an order.

JSON object containing information required to create an order.

string

System-generated unique identifier for the order.

string

Unique external reference ID for the order that can be used for integration with other systems. This ID can't be reused on multiple orders.

string

Name or title of the order for easy identification.

string

Unique identifier of the account associated with this order.

string
enum
required

Type of order being placed. This value determines how the order will impact a subscription when it is executed.

Supported values:

  • NEW: Create a new subscription.
  • CANCEL: Cancel an existing subscription.
  • AMENDMENT: Amend an existing subscription.
  • RENEWAL: Renew an existing subscription.
  • RESTRUCTURE: Restructure an existing subscription.
Allowed:
string
enum

Specifies when the payment for the invoice is due. Supported values are NET0, NET30, NET45, NET60, and NET90.

Allowed:
string

The ID of the subscription you want to amend, restructure, or cancel.
To renew a subscription, use the renewalForSubscriptionId field to specify the ID of the subscription you want to renew.
This field is not required while creating a new subscription.

string

ID of the contact to use for shipping information.

string

ID of the contact to use for billing information.

predefinedDiscounts
array of objects

Array of predefined discount objects to apply to the order.

predefinedDiscounts
creditableAmounts
array of objects

Array of creditable amount which can be refunded when one time charges are cancelled/debooked during amendment or cancellation of a subscription

creditableAmounts
lineItems
array of objects

Array of line item objects (i.e., charges) you want to add to this order.

lineItems
int64
required

Start date of the subscription in Unix timestamp format (seconds since epoch). This date is inclusive.

int64

End date of the subscription in Unix timestamp format (seconds since epoch). If not provided for TERMED subscriptions, it will be calculated based on termLength.

NOTE: This date is exclusive. For example, if the subscription's start date is 1735689600 (January 1, 2025 00:00:00) and the term length is 1 year, specify the end date as 1767225600 (January 1, 2026 00:00:00).
Since the date is exclusive, the subscription is still active at December 31, 2025 23:59:59 but will have ended at January 1, 2026 00:00:00.

int64

Date when the order was executed in Unix timestamp format. Don't include this field if you're creating an order with orderType = NEW. This field is required only when you're creating an order to amend, renew, restructure, or cancel an existing subscription.

termLength
object
billingCycle
object
string
enum

Specifies when billing occurs relative to service delivery.

Supported values:

  • UP_FRONT: Billing occurs before the product or service is delivered
  • IN_ARREARS: The customer is billed after receiving the product or service.
Allowed:
int64

Specific date to anchor billing cycles to, in Unix timestamp format (seconds since epoch). Useful for aligning billing with specific dates (e.g., first of the month).

rampInterval
array of int64s

Array of timestamps (in Unix timestamp format) defining intervals for ramped pricing schedules. Used when implementing gradual quantity or price changes over time.

rampInterval
orderFormTemplateIds
array of strings

Array of document template IDs to use for generating order forms. Specified as UUIDs.

orderFormTemplateIds
string
boolean
string
string
string
string
enum

Type of CRM where the opportunity is managed.

Allowed:
string

ID of the user who owns this order.

string

ID of the subscription being renewed. Required only when orderType is RENEWAL.

string

UUID of the master document template to use for generating order documents.

documentCustomContent
object
string

The purchase order number associated with this order.

boolean

Indicates whether a purchase order number is required to generate an invoice.

boolean

Indicates whether the subscription should automatically renew at the end of its term.

string

ID of the approval segment to use for routing this order through approval workflows.

string

ID of an attachment associated with this order (e.g., signed contract).

string
string
int64

Date when the order expires if the status is not EXECUTED. Specified in Unix timestamp format (seconds since epoch).

string

ID of the entity (e.g., business or subsidiary) associated with this order.

customFields
array of objects

Array of custom fields to include additional metadata with the order.

customFields
string
enum

Determines how the start date is calculated.

NOTE: If you include the rampInterval object dates for a ramped pricing schedule, startDateType must be set to FIXED.

Supported values:

  • FIXED: Start date is the value of startDate, or the first rampInterval timestamp if specified.
  • EXECUTION_DATE: Start date is the date when the order status changes to EXECUTED.
Allowed:
string

ISO 4217 currency code for the order. If you don't specify a value, the account's default currency is used.

customPredefinedTemplatesOnOrder
array of objects

List of custom predefined templates to include on the order.

customPredefinedTemplatesOnOrder
string
enum

Determines the subscription term.

Supported values:

  • TERMED: Subscription has a fixed term length.
  • EVERGREEN: Subscription continues indefinitely until cancelled.
Allowed:
opportunityInput
object
Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json